		cvInitFont( &font_1, CV_FONT_HERSHEY_COMPLEX, 0.5, 0.5, 0.0, 1, line_type );
		char show_buffer[10];

		//Front left
		front_left_rpm_dummy=forgeting_sum(front_left_rpm,front_left_rpm_buf);
		shift_values(front_left_rpm_dummy,front_left_rpm_buf);
		cvLine(image, cvPoint(fl_x_gauge,fl_y_gauge), cvPoint(polar_x(fl_x_gauge,fl_r_gauge,front_left_rpm_dummy*wheel_rpm_gauge_gain,fl_offset_gauge),polar_y(fl_y_gauge,fl_r_gauge,front_left_rpm_dummy*wheel_rpm_gauge_gain,fl_offset_gauge)), cvScalar(0,255,0), 2);
		itoa ((int)front_left_rpm_dummy,show_buffer,10);
		cvPutText( image,show_buffer,cvPoint(fl_x_text,fl_y_text), &font_1, CV_RGB(255,100,100));

		//Front right rpm
		front_right_rpm_dummy=forgeting_sum(front_right_rpm,front_right_rpm_buf);
		shift_values(front_right_rpm_dummy,front_right_rpm_buf);
		cvLine(image, cvPoint(fr_x_gauge,fr_y_gauge), cvPoint(polar_x(fr_x_gauge,fr_r_gauge,front_right_rpm_dummy*wheel_rpm_gauge_gain,fr_offset_gauge),polar_y(fr_y_gauge,fr_r_gauge,front_right_rpm_dummy*wheel_rpm_gauge_gain,fr_offset_gauge)), cvScalar(0,255,0), 2);
		itoa ((int)front_right_rpm_dummy,show_buffer,10);
		cvPutText( image,show_buffer,cvPoint(fr_x_text,fr_y_text), &font_1, CV_RGB(255,100,100));


		//Rear left rpm
		rear_left_rpm_dummy=forgeting_sum(rear_left_rpm,rear_left_rpm_buf);
		shift_values(rear_left_rpm_dummy,rear_left_rpm_buf);
		cvLine(image, cvPoint(rl_x_gauge,rl_y_gauge), cvPoint(polar_x(rl_x_gauge,rl_r_gauge,rear_left_rpm_dummy*wheel_rpm_gauge_gain,rl_offset_gauge),polar_y(rl_y_gauge,rl_r_gauge,rear_left_rpm_dummy*wheel_rpm_gauge_gain,rl_offset_gauge)), cvScalar(0,255,0), 2);
		itoa ((int)rear_left_rpm_dummy,show_buffer,10);
		cvPutText( image,show_buffer,cvPoint(rl_x_text,rl_y_text), &font_1, CV_RGB(255,100,100));

		//Rear right  rpm
		//rear_right_rpm_dummy=forgeting_sum(rear_right_rpm,rear_right_rpm_buf);
		//shift_values(rear_right_rpm_dummy,rear_right_rpm_buf);
		//cvLine(image, cvPoint(rr_x_gauge,rr_y_gauge), cvPoint(polar_x(rr_x_gauge,rr_r_gauge,rear_right_rpm_dummy*wheel_rpm_gauge_gain,rr_offset_gauge),polar_y(rr_y_gauge,rr_r_gauge,rear_right_rpm_dummy*wheel_rpm_gauge_gain,rr_offset_gauge)), cvScalar(0,255,0), 2);
		rear_right_rpm_dummy=forgeting_sum(rear_right_rpm,temp_buf);
		shift_values(rear_right_rpm_dummy,temp_buf);
		cvLine(image, cvPoint(rr_x_gauge,rr_y_gauge), cvPoint(polar_x(rr_x_gauge,rr_r_gauge,rear_right_rpm_dummy*wheel_rpm_gauge_gain,rr_offset_gauge),polar_y(rr_y_gauge,rr_r_gauge,rear_right_rpm_dummy*wheel_rpm_gauge_gain,rr_offset_gauge)), cvScalar(0,255,0), 2);
		itoa ((int)rear_right_rpm_dummy,show_buffer,10);
		cvPutText( image,show_buffer,cvPoint(rr_x_text,rr_y_text), &font_1, CV_RGB(255,100,100));


		//Engine RPM
		engine_rpm=(-handbrake_position+.25)*4*6000+1300;
		engine_rpm_dummy=forgeting_sum(engine_rpm,engine_rpm_buf);
		shift_values(engine_rpm_dummy,engine_rpm_buf);
		cvLine(image, cvPoint(rpm_x_gauge,rpm_y_gauge), cvPoint(polar_x(rpm_x_gauge,rpm_r_gauge,engine_rpm_dummy*engine_rpm_gauge_gain,rpm_offset_gauge),polar_y(rpm_y_gauge,rpm_r_gauge,engine_rpm_dummy*engine_rpm_gauge_gain,rpm_offset_gauge)), cvScalar(0,255,0), 2);
		itoa ((int)engine_rpm_dummy,show_buffer,10);
		cvPutText( image,show_buffer,cvPoint(rpm_x_text,rpm_y_text), &font_1, CV_RGB(255,100,100));
		//add
		itoa ((int)handbrake_position*100,show_buffer,10);
		cvPutText( image,show_buffer,cvPoint(rpm_x_text,rpm_y_text+10), &font_1, CV_RGB(255,100,100));


		//Car speed
		double	rpms_dummy=(front_left_rpm_dummy+front_right_rpm_dummy+rear_left_rpm_dummy+rear_right_rpm_dummy);
		car_speed_dummy=rpms_dummy*(2*PI*wheel_radius/100)*(0.06/*60/1000*//4);	//car_speed in km/h
		cvLine(image, cvPoint(speed_x_gauge,speed_y_gauge), cvPoint(polar_x(speed_x_gauge,speed_r_gauge,car_speed_dummy*speed_gauge_gain,speed_offset_gauge),polar_y(speed_y_gauge,speed_r_gauge,car_speed_dummy*speed_gauge_gain,speed_offset_gauge)), cvScalar(0,255,0), 2);
		itoa ((int)car_speed_dummy,show_buffer,10);
		cvPutText( image,show_buffer,cvPoint(speed_x_text,speed_y_text), &font_1, CV_RGB(255,100,100));